Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Security\HttpUtils Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Security\HttpUtils:

## Public Member Functions
| setSiteAccess (SiteAccess $siteAccess=null)
| generateUri ($request, $path)
| checkRequestPath (Request $request, $path)

## Private Member Functions
| analyzeLink ($path)
| isRouteName ($path)

## Private Attributes
| $siteAccess

## Detailed Description

Definition at line 14 of file HttpUtils.php.

## Member Function Documentation

## ◆ analyzeLink()

eZ\Publish\Core\MVC\Symfony\Security\HttpUtils::analyzeLink | ( |  | $path | ) |
| private

Definition at line 27 of file HttpUtils.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\checkRequestPath(), and eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\generateUri().

## ◆ checkRequestPath()

eZ\Publish\Core\MVC\Symfony\Security\HttpUtils::checkRequestPath | ( | Request | $request,
|  |  | $path
| ) |  |

Definition at line 46 of file HttpUtils.php.

References eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\analyzeLink().

## ◆ generateUri()

eZ\Publish\Core\MVC\Symfony\Security\HttpUtils::generateUri | ( |  | $request,
|  |  | $path
| ) |  |

Definition at line 36 of file HttpUtils.php.

References eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\analyzeLink(), and eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\isRouteName().

## ◆ isRouteName()

eZ\Publish\Core\MVC\Symfony\Security\HttpUtils::isRouteName | ( |  | $path | ) |
| private

Parameters

  string | $path | Path can be URI, absolute URL or a route name.

Returns
  bool

Definition at line 56 of file HttpUtils.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\generateUri().

## ◆ setSiteAccess()

eZ\Publish\Core\MVC\Symfony\Security\HttpUtils::setSiteAccess | ( | SiteAccess | $siteAccess = `null` | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\SiteAccess | $siteAccess |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\SiteAccessAware.

Definition at line 22 of file HttpUtils.php.

References eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\$siteAccess.

## Member Data Documentation

## ◆ $siteAccess

eZ\Publish\Core\MVC\Symfony\Security\HttpUtils::$siteAccess
| private

Definition at line 17 of file HttpUtils.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\HttpUtils\setSiteAccess().

The documentation for this class was generated from the following file:

- HttpUtils.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.